# remirepo/fedora spec file for php-owncloud-tarstreamer
#
# Copyright (c) 2016-2019 Remi Collet
# License: CC-BY-SA
# http://creativecommons.org/licenses/by-sa/4.0/
#
# Please, preserve the changelog entries
#
%global gh_commit    2d99636ded9c8a8a1ecd8129e7976dcd606106d9
%global gh_short     %(c=%{gh_commit}; echo ${c:0:7})
%global gh_owner     owncloud
%global gh_project   TarStreamer
%global with_tests   0%{!?_without_tests:1}
%global ns_vendor    ownCloud
%global ns_project   TarStreamer

Name:           php-owncloud-tarstreamer
Version:        0.1.1
Release:        1%{?dist}
Summary:        Streaming dynamic tar files

License:        MIT
URL:            https://github.com/%{gh_owner}/%{gh_project}
Source0:        https://github.com/%{gh_owner}/%{gh_project}/archive/%{gh_commit}/%{gh_project}-%{version}%{?prever}-%{gh_short}.tar.gz

BuildArch:      noarch
BuildRequires:  php-composer(theseer/autoload)
BuildRequires:  php-fedora-autoloader-devel
%if %{with_tests}
BuildRequires:  php(language) >= 5.3.8
BuildRequires:  php-date
BuildRequires:  php-spl
BuildRequires:  php-composer(phpunit/phpunit)
BuildRequires:  php-pear(Archive_Tar)
BuildRequires:  php-pecl(Xdebug)
%endif

# From composer.json
#      "php": ">=5.3.8"
Requires:       php(language) >= 5.3.8
# From phpcompatinfo report for version 0.1beta3
Requires:       php-date
Requires:       php-spl

Provides:       php-composer(owncloud/tarstreamer) = %{version}%{?prever}


%description
A library for dynamically streaming dynamic tar files without
the need to have the complete file stored on the server.

Autoloader: %{_datadir}/php/%{ns_vendor}/%{ns_project}/autoload.php


%prep
%setup -q -n %{gh_project}-%{gh_commit}


%build
: Generate a simple autoloader
%{_bindir}/phpab -t fedora -o src/autoload.php src


%install
: Create a PSR-0 tree
mkdir -p   %{buildroot}%{_datadir}/php/%{ns_vendor}
cp -pr src %{buildroot}%{_datadir}/php/%{ns_vendor}/%{ns_project}


%check
%if %{with_tests}
mkdir vendor
cat << 'EOF' | tee vendor/autoload.php
<?php
require_once '%{buildroot}%{_datadir}/php/%{ns_vendor}/%{ns_project}/autoload.php';
require_once '/usr/share/pear/Archive/Tar.php';
EOF

: Run test suite
ret=0
cd tests
for cmd in php php70 php71 php72 php73; do
  if which $cmd; then
    $cmd %{_bindir}/phpunit || ret=1
  fi
done
exit $ret
%else
: Test suite disabled
%endif


%files
%{!?_licensedir:%global license %%doc}
%license LICENSE
%doc composer.json
%{_datadir}/php/%{ns_vendor}


%changelog
* Tue Feb 12 2019 Remi Collet <remi@remirepo.net> - 0.1.1-1
- update to 0.1.1

* Mon May  2 2016 Remi Collet <remi@fedoraproject.org> - 0.1.0-1
- update to 0.1.0

* Fri Jan  8 2016 Remi Collet <remi@fedoraproject.org> - 0.1-0.1.beta3
- initial package
